# Uses of Interface
org.apache.cxf.endpoint.EndpointImplFactory

Packages that use EndpointImplFactory
Package
Description
org.apache.cxf.endpoint

- ## Uses of EndpointImplFactory in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement EndpointImplFactory
  Modifier and Type
  Class
  Description
  `class`
  `SimpleEndpointImplFactory`
  Create ordinary EndpointImpl objects.
  Methods in org.apache.cxf.endpoint that return EndpointImplFactory
  Modifier and Type
  Method
  Description
  `static EndpointImplFactory`
  SimpleEndpointImplFactory.`getSingleton()`
  Avoid the need to construct these objects over and over in cases where the code knows that it needs the basic case.
  Constructors in org.apache.cxf.endpoint with parameters of type EndpointImplFactory
  Modifier
  Constructor
  Description
  ``
  `ClientImpl(Bus bus, Service svc, QName port, EndpointImplFactory endpointImplFactory)`
  Create a Client that uses a specific EndpointImpl.